Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkGraphicsFactory Class Reference

`#include <vtkGraphicsFactory.h>`

Inheritance diagram for vtkGraphicsFactory:

[legend]
Collaboration diagram for vtkGraphicsFactory:

[legend]
List of all members.

## Detailed Description

Date:
  2002/08/22 18:39:30

Revision:
  1.14

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (49%)
  - Geveci, Berk (22%)
  - Starreveld, Yves (8%)
  - Hoffman, Bill (7%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkGraphicsFactory.cxx)`
  - .`h` (`/Rendering/vtkGraphicsFactory.h)`

Examples:
  vtkGraphicsFactory (Examples)

Tests:
  vtkGraphicsFactory (Tests)

Definition at line 48 of file vtkGraphicsFactory.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkGraphicsFactory * | New ()
int | IsTypeOf (const char *type)
vtkGraphicsFactory * | SafeDownCast (vtkObject *o)
vtkObject * | CreateInstance (const char *vtkclassname)
const char * | GetRenderLibrary ()
void | SetUseMesaClasses (int use)
int | GetUseMesaClasses ()
## Protected Methods
| vtkGraphicsFactory ()
## Static Protected Attributes
int | UseMesaClasses

## Member Typedef Documentation

typedef vtkObject vtkGraphicsFactory::Superclass

| Reimplemented from vtkObject. Definition at line 52 of file vtkGraphicsFactory.h.

## Constructor & Destructor Documentation

vtkGraphicsFactory::vtkGraphicsFactory | ( |  | ) | `[inline, protected]`

| Definition at line 70 of file vtkGraphicsFactory.h.

## Member Function Documentation

vtkGraphicsFactory* vtkGraphicsFactory::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkGraphicsFactory::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkGraphicsFactory::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkGraphicsFactory::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkGraphicsFactory* vtkGraphicsFactory::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

virtual void vtkGraphicsFactory::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

vtkObject* vtkGraphicsFactory::CreateInstance | ( | const char * | vtkclassname | ) | `[static]`

| Create and return an instance of the named vtk object. This method first checks the vtkObjectFactory to support dynamic loading.

const char* vtkGraphicsFactory::GetRenderLibrary | ( |  | ) | `[static]`

| What rendering library has the user requested

void vtkGraphicsFactory::SetUseMesaClasses | ( | int | use | ) | `[static]`

| This option enables the creation of Mesa classes instead of the OpenGL classes when using mangled Mesa.

int vtkGraphicsFactory::GetUseMesaClasses | ( |  | ) | `[static]`

| This option enables the creation of Mesa classes instead of the OpenGL classes when using mangled Mesa.

## Member Data Documentation

int vtkGraphicsFactory::UseMesaClasses`[static, protected]`

| Definition at line 72 of file vtkGraphicsFactory.h.

The documentation for this class was generated from the following file:

- Rendering/vtkGraphicsFactory.h